Bug 1015056 - openssl speed reports errors during execution in fips mode
openssl speed reports errors during execution in fips mode
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openssl (Show other bugs)
6.5
All Linux
low Severity low
: rc
: ---
Assigned To: Tomas Mraz
Hubert Kario
:
Depends On: 1009027
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 07:35 EDT by Hubert Kario
Modified: 2014-10-14 03:18 EDT (History)
1 user (show)

See Also:
Fixed In Version: openssl-1.0.1e-26.el6
Doc Type: Bug Fix
Doc Text:
No doc text needed
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-14 03:18:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hubert Kario 2013-10-03 07:35:01 EDT
Description of problem:
when running `openssl speed` on fips enabled machine, errors are reported by the application

Version-Release number of selected component (if applicable):
openssl-1.0.1e-15.el6

How reproducible:
Always

Steps to Reproduce:
1. Enable FIPS mode on machine
2. Run `openssl speed`

Actual results:
Doing md2 for 3s on 16 size blocks: 7724751 md2's in 2.99s
Doing md2 for 3s on 64 size blocks: 7685420 md2's in 3.00s
Doing md2 for 3s on 256 size blocks: 7748393 md2's in 3.00s
Doing md2 for 3s on 1024 size blocks: 7788315 md2's in 3.00s
Doing md2 for 3s on 8192 size blocks: 7777447 md2's in 3.00s
Doing md4 for 3s on 16 size blocks: 7851631 md4's in 3.00s
Doing md4 for 3s on 64 size blocks: 7885854 md4's in 3.00s
Doing md4 for 3s on 256 size blocks: 7860656 md4's in 3.00s
Doing md4 for 3s on 1024 size blocks: 7851633 md4's in 3.00s
Doing md4 for 3s on 8192 size blocks: 7886546 md4's in 3.00s
Doing md5 for 3s on 16 size blocks: 7978080 md5's in 3.00s
Doing md5 for 3s on 64 size blocks: 7898665 md5's in 2.99s
Doing md5 for 3s on 256 size blocks: 7932360 md5's in 3.00s
Doing md5 for 3s on 1024 size blocks: 7947724 md5's in 3.00s
Doing md5 for 3s on 8192 size blocks: 7926398 md5's in 3.00s
Doing hmac(md5) for 3s on 16 size blocks: 3781364 hmac(md5)'s in 3.00s
Doing hmac(md5) for 3s on 64 size blocks: 3007914 hmac(md5)'s in 3.00s
Doing hmac(md5) for 3s on 256 size blocks: 1843099 hmac(md5)'s in 3.00s
Doing hmac(md5) for 3s on 1024 size blocks: 743977 hmac(md5)'s in 3.00s
Doing hmac(md5) for 3s on 8192 size blocks: 112709 hmac(md5)'s in 3.00s
Doing sha1 for 3s on 16 size blocks: 4524262 sha1's in 3.00s
Doing sha1 for 3s on 64 size blocks: 3863793 sha1's in 3.00s
Doing sha1 for 3s on 256 size blocks: 2607160 sha1's in 3.00s
Doing sha1 for 3s on 1024 size blocks: 1128851 sha1's in 2.99s
Doing sha1 for 3s on 8192 size blocks: 178996 sha1's in 3.00s
Doing sha256 for 3s on 16 size blocks: 7616139 sha256's in 3.00s
Doing sha256 for 3s on 64 size blocks: 4789161 sha256's in 3.00s
Doing sha256 for 3s on 256 size blocks: 2196307 sha256's in 3.00s
Doing sha256 for 3s on 1024 size blocks: 706315 sha256's in 3.00s
Doing sha256 for 3s on 8192 size blocks: 96342 sha256's in 3.00s
Doing sha512 for 3s on 16 size blocks: 6432122 sha512's in 3.00s
Doing sha512 for 3s on 64 size blocks: 6411238 sha512's in 3.00s
Doing sha512 for 3s on 256 size blocks: 2751134 sha512's in 3.00s
Doing sha512 for 3s on 1024 size blocks: 1025455 sha512's in 3.00s
Doing sha512 for 3s on 8192 size blocks: 150522 sha512's in 3.00s
Doing rmd160 for 3s on 16 size blocks: 7781756 rmd160's in 3.00s
Doing rmd160 for 3s on 64 size blocks: 7770778 rmd160's in 2.99s
Doing rmd160 for 3s on 256 size blocks: 7786822 rmd160's in 3.00s
Doing rmd160 for 3s on 1024 size blocks: 7780996 rmd160's in 3.00s
Doing rmd160 for 3s on 8192 size blocks: 7754571 rmd160's in 3.00s
Doing rc4 for 3s on 16 size blocks: 72555628 rc4's in 3.00s
Doing rc4 for 3s on 64 size blocks: 19925302 rc4's in 3.00s
Doing rc4 for 3s on 256 size blocks: 5216509 rc4's in 3.00s
Doing rc4 for 3s on 1024 size blocks: 1319011 rc4's in 3.00s
Doing rc4 for 3s on 8192 size blocks: 165382 rc4's in 3.00s
Doing des cbc for 3s on 16 size blocks: 8999958 des cbc's in 3.00s
Doing des cbc for 3s on 64 size blocks: 2325279 des cbc's in 3.00s
Doing des cbc for 3s on 256 size blocks: 585113 des cbc's in 3.00s
Doing des cbc for 3s on 1024 size blocks: 146521 des cbc's in 3.00s
Doing des cbc for 3s on 8192 size blocks: 18325 des cbc's in 2.99s
Doing des ede3 for 3s on 16 size blocks: 3508877 des ede3's in 3.00s
Doing des ede3 for 3s on 64 size blocks: 887107 des ede3's in 3.00s
Doing des ede3 for 3s on 256 size blocks: 222523 des ede3's in 3.00s
Doing des ede3 for 3s on 1024 size blocks: 55683 des ede3's in 3.00s
Doing des ede3 for 3s on 8192 size blocks: 6953 des ede3's in 3.00s
Doing aes-128 cbc for 3s on 16 size blocks: 19359554 aes-128 cbc's in 3.00s
Doing aes-128 cbc for 3s on 64 size blocks: 5045510 aes-128 cbc's in 3.00s
Doing aes-128 cbc for 3s on 256 size blocks: 1288913 aes-128 cbc's in 3.00s
Doing aes-128 cbc for 3s on 1024 size blocks: 323909 aes-128 cbc's in 3.00s
Doing aes-128 cbc for 3s on 8192 size blocks: 40551 aes-128 cbc's in 3.00s
Doing aes-192 cbc for 3s on 16 size blocks: 16486386 aes-192 cbc's in 3.00s
Doing aes-192 cbc for 3s on 64 size blocks: 4270459 aes-192 cbc's in 2.99s
Doing aes-192 cbc for 3s on 256 size blocks: 1086870 aes-192 cbc's in 3.00s
Doing aes-192 cbc for 3s on 1024 size blocks: 272930 aes-192 cbc's in 3.00s
Doing aes-192 cbc for 3s on 8192 size blocks: 34165 aes-192 cbc's in 3.00s
Doing aes-256 cbc for 3s on 16 size blocks: 14339587 aes-256 cbc's in 3.00s
Doing aes-256 cbc for 3s on 64 size blocks: 3701027 aes-256 cbc's in 3.00s
Doing aes-256 cbc for 3s on 256 size blocks: 939856 aes-256 cbc's in 3.00s
Doing aes-256 cbc for 3s on 1024 size blocks: 235798 aes-256 cbc's in 3.00s
Doing aes-256 cbc for 3s on 8192 size blocks: 29515 aes-256 cbc's in 3.00s
Doing aes-128 ige for 3s on 16 size blocks: 18855732 aes-128 ige's in 3.00s
Doing aes-128 ige for 3s on 64 size blocks: 4976752 aes-128 ige's in 3.00s
Doing aes-128 ige for 3s on 256 size blocks: 1264835 aes-128 ige's in 3.00s
Doing aes-128 ige for 3s on 1024 size blocks: 317808 aes-128 ige's in 2.99s
Doing aes-128 ige for 3s on 8192 size blocks: 39770 aes-128 ige's in 3.00s
Doing aes-192 ige for 3s on 16 size blocks: 16115146 aes-192 ige's in 3.00s
Doing aes-192 ige for 3s on 64 size blocks: 4220025 aes-192 ige's in 3.00s
Doing aes-192 ige for 3s on 256 size blocks: 1070769 aes-192 ige's in 3.00s
Doing aes-192 ige for 3s on 1024 size blocks: 268686 aes-192 ige's in 3.00s
Doing aes-192 ige for 3s on 8192 size blocks: 33603 aes-192 ige's in 3.00s
Doing aes-256 ige for 3s on 16 size blocks: 14076099 aes-256 ige's in 3.00s
Doing aes-256 ige for 3s on 64 size blocks: 3665497 aes-256 ige's in 3.00s
Doing aes-256 ige for 3s on 256 size blocks: 927269 aes-256 ige's in 3.00s
Doing aes-256 ige for 3s on 1024 size blocks: 232637 aes-256 ige's in 3.00s
Doing aes-256 ige for 3s on 8192 size blocks: 29109 aes-256 ige's in 3.00s
Doing ghash for 3s on 16 size blocks: 41348010 ghash's in 2.99s
Doing ghash for 3s on 64 size blocks: 11305575 ghash's in 3.00s
Doing ghash for 3s on 256 size blocks: 2951004 ghash's in 3.00s
Doing ghash for 3s on 1024 size blocks: 746401 ghash's in 3.00s
Doing ghash for 3s on 8192 size blocks: 93603 ghash's in 3.01s
Doing camellia-128 cbc for 3s on 16 size blocks: 17934905 camellia-128 cbc's in 3.00s
Doing camellia-128 cbc for 3s on 64 size blocks: 4621092 camellia-128 cbc's in 3.00s
Doing camellia-128 cbc for 3s on 256 size blocks: 1165668 camellia-128 cbc's in 3.00s
Doing camellia-128 cbc for 3s on 1024 size blocks: 292110 camellia-128 cbc's in 3.00s
Doing camellia-128 cbc for 3s on 8192 size blocks: 36386 camellia-128 cbc's in 3.00s
Doing camellia-192 cbc for 3s on 16 size blocks: 13995599 camellia-192 cbc's in 3.00s
Doing camellia-192 cbc for 3s on 64 size blocks: 3599407 camellia-192 cbc's in 3.00s
Doing camellia-192 cbc for 3s on 256 size blocks: 911506 camellia-192 cbc's in 2.99s
Doing camellia-192 cbc for 3s on 1024 size blocks: 228325 camellia-192 cbc's in 3.00s
Doing camellia-192 cbc for 3s on 8192 size blocks: 28696 camellia-192 cbc's in 3.00s
Doing camellia-256 cbc for 3s on 16 size blocks: 13998959 camellia-256 cbc's in 3.00s
Doing camellia-256 cbc for 3s on 64 size blocks: 3604582 camellia-256 cbc's in 3.00s
Doing camellia-256 cbc for 3s on 256 size blocks: 911869 camellia-256 cbc's in 3.00s
Doing camellia-256 cbc for 3s on 1024 size blocks: 228443 camellia-256 cbc's in 3.00s
Doing camellia-256 cbc for 3s on 8192 size blocks: 28712 camellia-256 cbc's in 3.00s
Doing idea cbc for 3s on 16 size blocks: 10611146 idea cbc's in 3.00s
Doing idea cbc for 3s on 64 size blocks: 2733451 idea cbc's in 3.00s
Doing idea cbc for 3s on 256 size blocks: 689092 idea cbc's in 3.00s
Doing idea cbc for 3s on 1024 size blocks: 172657 idea cbc's in 3.00s
Doing idea cbc for 3s on 8192 size blocks: 21590 idea cbc's in 2.99s
Doing seed cbc for 3s on 16 size blocks: 8903523 seed cbc's in 3.00s
Doing seed cbc for 3s on 64 size blocks: 2254332 seed cbc's in 3.00s
Doing seed cbc for 3s on 256 size blocks: 565986 seed cbc's in 3.00s
Doing seed cbc for 3s on 1024 size blocks: 141582 seed cbc's in 3.00s
Doing seed cbc for 3s on 8192 size blocks: 17712 seed cbc's in 3.00s
Doing rc2 cbc for 3s on 16 size blocks: 5099435 rc2 cbc's in 3.00s
Doing rc2 cbc for 3s on 64 size blocks: 1279190 rc2 cbc's in 3.00s
Doing rc2 cbc for 3s on 256 size blocks: 319815 rc2 cbc's in 3.00s
Doing rc2 cbc for 3s on 1024 size blocks: 80251 rc2 cbc's in 3.00s
Doing rc2 cbc for 3s on 8192 size blocks: 10023 rc2 cbc's in 3.00s
Doing blowfish cbc for 3s on 16 size blocks: 13845467 blowfish cbc's in 3.00s
Doing blowfish cbc for 3s on 64 size blocks: 3543365 blowfish cbc's in 3.00s
Doing blowfish cbc for 3s on 256 size blocks: 894044 blowfish cbc's in 2.99s
Doing blowfish cbc for 3s on 1024 size blocks: 224186 blowfish cbc's in 3.00s
Doing blowfish cbc for 3s on 8192 size blocks: 28127 blowfish cbc's in 3.00s
Doing cast cbc for 3s on 16 size blocks: 13207383 cast cbc's in 3.00s
Doing cast cbc for 3s on 64 size blocks: 3444971 cast cbc's in 3.00s
Doing cast cbc for 3s on 256 size blocks: 871728 cast cbc's in 3.00s
Doing cast cbc for 3s on 1024 size blocks: 218574 cast cbc's in 3.00s
Doing cast cbc for 3s on 8192 size blocks: 27345 cast cbc's in 3.00s
Doing 1024 bit private rsa's for 10s: 17417 1024 bit private RSA's in 10.00s
Doing 1024 bit public rsa's for 10s: 308320 1024 bit public RSA's in 9.99s
Doing 2048 bit private rsa's for 10s: 2678 2048 bit private RSA's in 10.00s
Doing 2048 bit public rsa's for 10s: 89418 2048 bit public RSA's in 10.00s
Doing 4096 bit private rsa's for 10s: 369 4096 bit private RSA's in 10.00s
Doing 4096 bit public rsa's for 10s: 23612 4096 bit public RSA's in 10.00s
Doing 1024 bit sign dsa's for 10s: 30243 1024 bit DSA signs in 9.99s
Doing 1024 bit verify dsa's for 10s: 26996 1024 bit DSA verify in 10.00s
Doing 2048 bit sign dsa's for 10s: 8853 2048 bit DSA signs in 9.99s
Doing 2048 bit verify dsa's for 10s: 7441 2048 bit DSA verify in 10.00s
Doing 256 bit sign ecdsa's for 10s: 49449 256 bit ECDSA signs in 9.98s 
Doing 256 bit verify ecdsa's for 10s: 12117 256 bit ECDSA verify in 9.99s
Doing 384 bit sign ecdsa's for 10s: 25515 384 bit ECDSA signs in 9.99s 
Doing 384 bit verify ecdsa's for 10s: 5693 384 bit ECDSA verify in 10.00s
Doing 256 bit  ecdh's for 10s: 14894 256-bit ECDH ops in 9.99s
Doing 384 bit  ecdh's for 10s: 6750 384-bit ECDH ops in 10.00s
17589934465760:error:060800A3:digital envelope routines:EVP_DigestInit_ex:disabled for fips:digest.c:251:
17589934465760:error:060800A3:digital envelope routines:EVP_DigestInit_ex:disabled for fips:digest.c:251:
17589934465760:error:060800A3:digital envelope routines:EVP_DigestInit_ex:disabled for fips:digest.c:251:
17589934465760:error:060800A3:digital envelope routines:EVP_DigestInit_ex:disabled for fips:digest.c:251:
17589934465760:error:060800A3:digital envelope routines:EVP_DigestInit_ex:disabled for fips:digest.c:251:
17589934465760:error:060800A3:digital envelope routines:EVP_DigestInit_ex:disabled for fips:digest.c:251:
17589934465760:error:060800A3:digital envelope routines:EVP_DigestInit_ex:disabled for fips:digest.c:251:
17589934465760:error:060800A3:digital envelope routines:EVP_DigestInit_ex:disabled for fips:digest.c:251:
17589934465760:error:060800A3:digital envelope routines:EVP_DigestInit_ex:disabled for fips:digest.c:251:
17589934465760:error:060800A3:digital envelope routines:EVP_DigestInit_ex:disabled for fips:digest.c:251:
17589934465760:error:060800A3:digital envelope routines:EVP_DigestInit_ex:disabled for fips:digest.c:251:
17589934465760:error:060800A3:digital envelope routines:EVP_DigestInit_ex:disabled for fips:digest.c:251:
17589934465760:error:060800A3:digital envelope routines:EVP_DigestInit_ex:disabled for fips:digest.c:251:
17589934465760:error:060800A3:digital envelope routines:EVP_DigestInit_ex:disabled for fips:digest.c:251:
17589934465760:error:060800A3:digital envelope routines:EVP_DigestInit_ex:disabled for fips:digest.c:251:
OpenSSL 1.0.1e-fips 11 Feb 2013
built on: Fri Sep 27 10:09:28 EDT 2013
options:bn(64,64) md2(int) rc4(ptr,char) des(idx,risc1,16,long) aes(partial) idea(int) blowfish(idx) 
compiler: gcc -fPIC -DOPENSSL_PIC -DZLIB -DOPENSSL_THREADS -D_REENTRANT -DDSO_DLFCN -DHAVE_DLFCN_H -DKRB5_MIT -m64 -DB_ENDIAN -DTERMIO -Wall -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mminimal-toc -Wa,--noexecstack -DPURIFY -DOPENSSL_BN_ASM_MONT -DSHA1_ASM -DSHA256_ASM -DSHA512_ASM -DAES_ASM
The 'numbers' are in 1000s of bytes per second processed.
type             16 bytes     64 bytes    256 bytes   1024 bytes   8192 bytes
md2              41336.46k   163955.63k   661196.20k  2658411.52k 21237615.27k
mdc2                 0.00         0.00         0.00         0.00         0.00 
md4              41875.37k   168231.55k   670775.98k  2680024.06k 21535528.28k
md5              42549.76k   169068.41k   676894.72k  2712823.13k 21644350.81k
hmac(md5)        20167.27k    64168.83k   157277.78k   253944.15k   307770.71k
sha1             24129.40k    82427.58k   222477.65k   386603.15k   488778.41k
rmd160           41502.70k   166331.03k   664475.48k  2655913.30k 21175148.54k
rc4             386963.35k   425073.11k   445142.10k   450222.42k   451603.11k
des cbc          47999.78k    49605.95k    49929.64k    50012.50k    50206.82k
des ede3         18714.01k    18924.95k    18988.63k    19006.46k    18986.33k
idea cbc         56592.78k    58313.62k    58802.52k    58933.59k    59152.27k
seed cbc         47485.46k    48092.42k    48297.47k    48326.66k    48365.57k
rc2 cbc          27196.99k    27289.39k    27290.88k    27392.34k    27369.47k
rc5-32/12 cbc        0.00         0.00         0.00         0.00         0.00 
blowfish cbc     73842.49k    75591.79k    76546.91k    76522.15k    76805.46k
cast cbc         70439.38k    73492.71k    74387.46k    74606.59k    74670.08k
aes-128 cbc     103250.95k   107637.55k   109987.24k   110560.94k   110731.26k
aes-192 cbc      87927.39k    91407.82k    92746.24k    93160.11k    93293.23k
aes-256 cbc      76477.80k    78955.24k    80201.05k    80485.72k    80595.63k
camellia-128 cbc    95652.83k    98583.30k    99470.34k    99706.88k    99358.04k
camellia-192 cbc    74643.19k    76787.35k    78041.99k    77934.93k    78359.21k
camellia-256 cbc    74661.11k    76897.75k    77812.82k    77975.21k    78402.90k
sha256           40619.41k   102168.77k   187418.20k   241088.85k   263077.89k
sha512           34304.65k   136773.08k   234763.43k   350021.97k   411025.41k
aes-128 ige     100563.90k   106170.71k   107932.59k   108841.27k   108598.61k
aes-192 ige      85947.45k    90027.20k    91372.29k    91711.49k    91758.59k
aes-256 ige      75072.53k    78197.27k    79126.95k    79406.76k    79486.98k
ghash           221260.25k   241185.60k   251819.01k   254771.54k   254749.43k
                  sign    verify    sign/s verify/s
rsa 1024 bits 0.000574s 0.000032s   1741.7  30862.9
rsa 2048 bits 0.003734s 0.000112s    267.8   8941.8
rsa 4096 bits 0.027100s 0.000424s     36.9   2361.2
                  sign    verify    sign/s verify/s
dsa 1024 bits 0.000330s 0.000370s   3027.3   2699.6
dsa 2048 bits 0.001128s 0.001344s    886.2    744.1
                              sign    verify    sign/s verify/s
 256 bit ecdsa (nistp256)   0.0002s   0.0008s   4954.8   1212.9
 384 bit ecdsa (nistp384)   0.0004s   0.0018s   2554.1    569.3
                              op      op/s
 256 bit ecdh (nistp256)   0.0007s   1490.9
 384 bit ecdh (nistp384)   0.0015s    675.0

Expected results:
No
17589934465760:error:060800A3:digital envelope routines:EVP_DigestInit_ex:disabled for fips:digest.c:251: 
errors reported

Additional info:

This bug should probably be cloned for 6.5.z
Comment 4 errata-xmlrpc 2014-10-14 03:18:25 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1525.html

Note You need to log in before you can comment on or make changes to this bug.